cws/build
changeset 427 6e93040e3378
child 459 d59404a41d5f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/cws/build	Sat Oct 08 00:30:51 2022 +0100
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -euo pipefail
+
+fls=${1:-"core_cw01.tex core_cw02.tex core_cw03.tex main_cw01.tex main_cw02.tex main_cw03.tex main_cw04.tex main_cw05.tex"} 
+
+for f in $fls; do
+    echo -e "making $f"
+    xelatex $f
+    mv "${f%.tex}.pdf" tmp.pdf
+    gs -o "${f%.tex}.pdf" -dNoOutputFonts -sDEVICE=pdfwrite tmp.pdf 
+done    
+
+
+# prevent PDF from being copied
+###  gs -o "${f%.tex}.pdf" -dNoOutputFonts -sDEVICE=pdfwrite tmp.pdf